Bug 154989 - [PATCH] irc/gseen.mod: Chase eggdrop update
Summary: [PATCH] irc/gseen.mod: Chase eggdrop update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-24 00:50 UTC by Beech Rintoul
Modified: 2011-03-09 22:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Beech Rintoul freebsd_committer 2011-02-24 00:50:07 UTC

Chase eggdrop update
Bump portrevision

Fix: 

--- gseen.mod/Makefile  27 Apr 2008 08:13:52 -0000      1.8
+++ gseen.mod/Makefile  24 Feb 2011 00:29:25 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=      gseen.mod
 PORTVERSION=   1.1.1.p3
-PORTREVISION=  2
+PORTREVISION=  3
 CATEGORIES=    irc
 MASTER_SITES=  http://www.kreativrauschen.de/gseen.mod/
 DISTNAME=      ${PORTNAME}.${PORTVERSION:S/p/dev/}
@@ -15,22 +15,23 @@
 MAINTAINER=    gerrit.beine@gmx.de
 COMMENT=       A seen-module for the eggdrop IRC bot
 
+USE_TCL=       85+
+
 EXTRACT_DEPENDS=       ${NONEXISTENT}:${PORTSDIR}/irc/eggdrop:extract
 BUILD_DEPENDS= eggdrop:${PORTSDIR}/irc/eggdrop
 RUN_DEPENDS=   eggdrop:${PORTSDIR}/irc/eggdrop
-LIB_DEPENDS=   tcl84.1:${PORTSDIR}/lang/tcl84
 
 WRKSRC=                ${WRKDIR}/eggdrop
 
-CONFIGURE_ARGS+=       --with-tcllib=${LOCALBASE}/lib/libtcl84.so \
-                       --with-tclinc=${LOCALBASE}/include/tcl84/tcl.h
+CONFIGURE_ARGS=        --with-tcllib=${LOCALBASE}/lib/libtcl${TCL_VER:S/.//}.so \
+               --with-tclinc=${TCL_INCLUDEDIR}/tcl.h
 
 GNU_CONGFIGURE=        yes
 
 do-extract:
        @${RM} -rf ${WRKDIR}
        @${MKDIR} ${WRKDIR}
-       @${CP} -R ${WRKDIRPREFIX}${.CURDIR}/../../irc/eggdrop/work/eggdrop1.6.19 ${WRKSRC}
+       @${CP} -R ${WRKDIRPREFIX}${.CURDIR}/../../irc/eggdrop/work/eggdrop1.6.20 ${WRKSRC}
        cd ${WRKSRC}/src/mod && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/${EXTRACT_ONLY} ${EXTRACT_AFTER_ARGS}
 
 post-extract:
Comment 1 Edwin Groothuis freebsd_committer 2011-02-24 00:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-24 00:50:17 UTC
Maintainer of irc/gseen.mod,

Please note that PR ports/154989 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154989

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-24 00:50:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2011-03-09 22:13:11 UTC
beech       2011-03-09 22:12:59 UTC

  FreeBSD ports repository

  Modified files:
    irc/gseen.mod        Makefile 
  Log:
  Fix lib depends after eggdrop update
  Bump portrevision
  
  PR:             ports/154989
  Submitted by:   beech
  Approved by:    itetcu (mentor)(implicit)
                  maintainer timeout (> two weeks)
  
  Revision  Changes    Path
  1.10      +5 -4      ports/irc/gseen.mod/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Beech Rintoul freebsd_committer 2011-03-09 22:14:18 UTC
State Changed
From-To: feedback->closed

Committed, maintainer timeout (> two weeks)